The second game released by Heart Beat Games. Whole project was developed in 2 weeks and uses universal modules developed by me earlie. Withing such modules are WindowManager, SoundManager, ParallaxSystem, LocalizationSystem, etc.